library(tidyverse)

args <- commandArgs(trailingOnly = TRUE)

in_folder  <- args[[1]]
out_folder <- args[[2]]

in_files <- sprintf("%s/%s", in_folder, list.files(path = in_folder, pattern = "*.csv"))

if (length(in_files) != 5) stop("must have exactly 5 input files")

for (f in in_files) {
  tmp <- read_csv(f)
  if ("Subject.Age" %in% names(tmp))
    saveRDS(as_tibble(tmp), file = sprintf("%s/df_baseline.rds", out_folder))
  if ("Outcomes.DerivedCompositeGOSE" %in% names(tmp))
    saveRDS(as_tibble(tmp), file = sprintf("%s/df_gose.rds", out_folder))
  if ("Labs.DLDate" %in% names(tmp))
    saveRDS(as_tibble(tmp), file = sprintf("%s/df_labs.rds", out_folder))
  if ("Imaging.MarshallCTClassification" %in% names(tmp))
    saveRDS(as_tibble(tmp), file = sprintf("%s/df_imaging.rds", out_folder))
  if ("CTMRI.CTSubarachnoidHem" %in% names(tmp))
    saveRDS(as_tibble(tmp), file = sprintf("%s/df_ctmri.rds", out_folder))
}
